      DOUBLE PRECISION A(2000), B(2000), XT0, XBAR, C(20), SUM, AVERAGE
      INTEGER I,J,K,I1,SEED,I2
     
      XT0=0.0672
C      XBAR=0.0348
      XBAR=XT0
      I1=1000
      
      A(1)=20
      B(1)=1.5*XT0
      
      DO I=2,I1
      A(I)=A(I-1)+1
      B(I)=B(I-1)-((B(1)-XBAR)/(1.0D+00*I1))
      write(*,*) A(i),b(i)
      END DO
      
      DO I2=1,100
      
      DO J=1,10

      K=INT(RAND(0)*1000)+1

      C(J)=B(K)
      Cwrite(*,*) K, C(j)
      SUM=SUM+C(J)
      END DO
      
      AVERAGE=SUM/10.0
      SUM=0.0D+00
      
      WRITE(*,1) AVERAGE
      END DO
      
1     FORMAT(F12.3)
      
      STOP
      END